package com.cf.imes.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RemainPlateStatusEnum {
    UNUSED(0, "未使用"),
    IN_USE(1, "使用中");

    private final Integer status;
    private String description;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(RemainPlateStatusEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }
}
